Bug 164600 - textproc/p5-XML-Parser fails to find expat, does not compile
textproc/p5-XML-Parser fails to find expat, does not compile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-29 12:40 UTC by fbsd-ports
Modified: 2013-01-12 03:10 UTC (History)
1 user (show)

See Also:


Attachments
sameb (661 bytes, text/plain; charset=us-ascii)
2012-05-24 16:04 UTC, pi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fbsd-ports 2012-01-29 12:40:12 UTC
	textproc/p5-XML-Parser failes to find expat during perl Makefile.PL
	and failes to build. See

	http://opsec.eu/backup/port-xml-parser-fail

	for the build log and

	http://opsec.eu/backup/port-xml-parser-makefile

	for the generated Makefile.

Fix: 

I copied a Makefile from an 8.1 build and that one worked.

	http://opsec.eu/backup/port-xml-parser-makefile-fbsd8
How-To-Repeat: 	cd /usr/ports/textproc/p5-XML-Parser/
	make
Comment 1 Edwin Groothuis freebsd_committer 2012-01-29 12:40:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer 2012-02-01 01:27:39 UTC
State Changed
From-To: open->feedback

From misfiled PR ports/164673: 

Date: Wed, 1 Feb 2012 07:31:50 +0900 
Comment 3 pi 2012-02-01 06:45:00 UTC
Hi!

Yes, NFS from an ZFS pool.

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 4 pi 2012-05-24 16:04:09 UTC
Hi!

Attached.

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 5 pi 2012-09-02 17:48:06 UTC
Hi!

> 2012/1/29 Kurt Jaeger <fbsd-ports@opsec.eu>:
> >        textproc/p5-XML-Parser failes to find expat during perl Makefile.PL
> >        and failes to build. See
> 
> Are you using NFS?

Any updates on this bug ? Should it be closed ?

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 6 dfilter freebsd_committer 2013-01-12 03:06:51 UTC
Author: kuriyama
Date: Sat Jan 12 03:06:37 2013
New Revision: 310260
URL: http://svnweb.freebsd.org/changeset/ports/310260

Log:
  - Try to fix build on NFS without lockd (patch provided by Martin
    Tournoij <martin@arp242.net> at ports/155991).
  - Add pre-build check for locking to tell people why build fails.
  
  PR:		ports/155991, ports/164600
  Submitted by:	"Dmitry S. Luhtionov" <mitya@cabletv.dp.ua>

Added:
  head/textproc/p5-XML-Parser/files/check_nfs.pl   (contents, props changed)
  head/textproc/p5-XML-Parser/files/patch-CheckLib.pm   (contents, props changed)
Modified:
  head/textproc/p5-XML-Parser/Makefile

Modified: head/textproc/p5-XML-Parser/Makefile
==============================================================================
--- head/textproc/p5-XML-Parser/Makefile	Sat Jan 12 02:46:15 2013	(r310259)
+++ head/textproc/p5-XML-Parser/Makefile	Sat Jan 12 03:06:37 2013	(r310260)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	XML::Parser
-# Date created:		15 Nov 1998
-# Whom:			Jun Kuriyama <kuriyama@FreeBSD.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	XML-Parser
 PORTVERSION=	2.41
+PORTREVISION=	1
 CATEGORIES=	textproc perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,7 +10,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	kuriyama@FreeBSD.org
 COMMENT=	Perl extension interface to James Clark's XML parser, expat
 
-LIB_DEPENDS=	expat.6:${PORTSDIR}/textproc/expat2
+LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2
 
 PERL_CONFIGURE=	yes
 CONFIGURE_ARGS=	EXPATLIBPATH=${LOCALBASE}/lib EXPATINCPATH=${LOCALBASE}/include
@@ -57,6 +53,10 @@ post-configure:
 	@${PERL} -i -pe 's|^(CC = ).*|$$1 ${CC}|;' \
 		-e 's|^(CCFLAGS = ).*|$$1 ${CFLAGS}|' ${WRKSRC}/Expat/Makefile
 
+pre-build:
+	@cd ${WRKDIR} && ${PERL} ${FILESDIR}/check_nfs.pl 2>/dev/null || \
+	(${ECHO_MSG} "===>  lockf in \$$TMPDIR required"; ${FALSE})
+
 XE=	${.CURDIR}/../p5-XML-Encoding
 extract-encodings:
 	@cd ${XE}; \

Added: head/textproc/p5-XML-Parser/files/check_nfs.pl
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/p5-XML-Parser/files/check_nfs.pl	Sat Jan 12 03:06:37 2013	(r310260)
@@ -0,0 +1,10 @@
+#!/usr/bin/perl
+#
+# $FreeBSD$
+
+use strict;
+use warnings;
+use File::Temp qw(tempfile);
+
+my ($fh, $fn) = tempfile("check-XXXXXX", SUFFIX => '.tmp', TMPDIR => 1, UNLINK => 1);
+#print "$fn\n";

Added: head/textproc/p5-XML-Parser/files/patch-CheckLib.pm
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/p5-XML-Parser/files/patch-CheckLib.pm	Sat Jan 12 03:06:37 2013	(r310260)
@@ -0,0 +1,22 @@
+$FreeBSD$
+
+--- inc/Devel/CheckLib.pm.orig	2013-01-11 11:43:02.293444337 +0900
++++ inc/Devel/CheckLib.pm	2013-01-11 11:48:47.556449831 +0900
+@@ -222,7 +222,7 @@
+     for my $header (@headers) {
+         push @use_headers, $header;
+         my($ch, $cfile) = File::Temp::tempfile(
+-            'assertlibXXXXXXXX', SUFFIX => '.c'
++            'assertlibXXXXXXXX', SUFFIX => '.c', TMPDIR => 1,
+         );
+         print $ch qq{#include <$_>\n} for @use_headers;
+         print $ch qq{int main(void) { return 0; }\n};
+@@ -262,7 +262,7 @@
+ 
+     # now do each library in turn with headers
+     my($ch, $cfile) = File::Temp::tempfile(
+-        'assertlibXXXXXXXX', SUFFIX => '.c'
++        'assertlibXXXXXXXX', SUFFIX => '.c', TMPDIR => 1,
+     );
+     print $ch qq{#include <$_>\n} foreach (@headers);
+     print $ch "int main(void) { ".($args{function} || 'return 0;')." }\n";
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Jun Kuriyama freebsd_committer 2013-01-12 03:06:53 UTC
State Changed
From-To: feedback->closed

(seems to be) fix committed.  Please try again.